import fiona
from shapely.geometry import Point, LineString, shape
from shapely.geometry.multipoint import MultiPoint
varosok = fiona.open("adatok/varosok.shp", "r")
szamlalo = 0
ut = LineString([Point(660000, 273500), Point(600000, 200000)])
for varos in varosok:
    varos_geometriaja = shape(varos["geometry"])
    if ut.intersects(varos_geometriaja):
        szamlalo = szamlalo + 1
print(str(szamlalo) + ' darab városba metsz bele az út.')

from matplotlib.pyplot import plot, show
for varos in varosok:
    varos_geometriaja = shape(varos["geometry"])
    x, y = varos_geometriaja.exterior.xy
    plot(x, y)
show()

folyok = fiona.open("adatok/folyok.shp", "r")
iterator = 0
while (shape(folyok[iterator]["geometry"]).length < 15000) :
    print("Ez egy rövid folyó.")
    iterator = iterator + 1
shape(folyok[iterator]["geometry"]).is_simple

origo = Point(0, 0)
vonal = LineString([[4, 5], [3, 6], origo])
puffer = origo.buffer(2)
unio = puffer.union(vonal)
def tipuslistat_kepez(geometria):
    tipuslista = []
    for elem in geometria:
        tipuslista.append(elem.geom_type)
    return(tipuslista)
tipuslistat_kepez(unio)

varosok = fiona.open("adatok/varosok.shp", "r")
otodik = shape(varosok[4]["geometry"])
korvonal = otodik.boundary
x, y = korvonal.xy
plot(x, y)
vizszintes = 675000
fuggoleges = 273000
kezdopont = Point(vizszintes, fuggoleges)
while (not LineString([kezdopont, Point(vizszintes, fuggoleges)]).intersects(korvonal)):
    vizszintes = vizszintes + 200
x, y = LineString([kezdopont, Point(vizszintes, fuggoleges)]).xy
plot(x, y, marker = "o")
show()
